#!/bin/sh

name="psi"
title="Psi"
package="psi"
version="0.9"
build="1.4"
noarch="n"
build_info="Standard build."

info="A Jabber client for X Window."
desc="Psi is the premiere Instant Messaging application designed for
Microsoft Windows, Apple Mac OS X and GNU/Linux. Built upon an
open protocol named Jabber, Psi is a fast and lightweight
messaging client that utilises the best in open source
technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down."
category="net/client/im"
environment="x11/qt"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,INSTALL,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://osdn.dl.sourceforge.net/sourceforge/psi/$name-$version.tar.bz2

apply_patch translations
apply_patch colors
apply_patch groupstate 1
apply_patch ctrlu 1
apply_patch status_indicator 1
apply_patch prtgrp 1
# If colors and prtgrp patches are applied together,
# the following patch must be applied, too.
apply_patch fixcolor

build_host_off

export QTDIR=/usr/lib/qt

configure_option --prefix=/usr

install_option INSTALL_ROOT=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure

apply_patch optflags

do_make
do_install

copy $src_pkg/indicator.png $pkg_main/usr/share/psi/iconsets/stellar
rm -f $pkg_main/usr/share/psi/{COPYING,README}

make_docs

make_package main

clean_up

# $Log: psi.builder,v $
# Revision 1.22  2003/06/19 19:21:32  swiergot
# - Added prtgrp patch (group headers looks much nicer).
# - Added fixcolor patch so prtgrp can work with colors patch.
# - Added status_indicator patch that makes it possible to display little (i)
#   icons next to contact that have status message set.
# - Added indicator.png icon for status_indicator patch.
# - prtgrp and status_indicator patches has been made by Tomasz Sterna.
#
# Revision 1.21  2003/06/17 17:09:14  swiergot
# - Added ctrlu patch. This enables CTRL+U in message window.
#
# Revision 1.20  2003/06/17 15:49:01  swiergot
# - Fixed optflags patch applying.
#
# Revision 1.19  2003/06/17 15:37:10  swiergot
# - Version 0.9.
# - Added optflags patch.
#
# Revision 1.18  2003/06/11 20:49:07  swiergot
# - Added groupstate patch from Kevin Winahradsky <idle@youaintme.com>. This
#   makes Psi remember open/closed state of groups in roster.
#
# Revision 1.17  2003/06/11 14:49:43  swiergot
# - Version 0.9-test2.
# - Removed kderes patch (has been included in the official distribution).
#
# Revision 1.16  2003/06/06 18:36:24  swiergot
# - Version 0.9-test1.
# - Added TODO to docs_source.
# - Changed source URL.
# - Removed optflags and install_menu patches.
# - Added kderes patch. This patch does the same what install_menu patch used
#   to do.
# - Added colors patch. This patch introduces new color scheme created by
#   IceRAM and published on psi-devel mailing list.
# - Don't run install_menu.sh. Not needed any more.
#
# Revision 1.15  2003/05/16 13:15:00  swiergot
# - Changed SF mirror from belnet to cesnet.
# - Build 6.
#
# Revision 1.14  2003/05/16 12:46:48  swiergot
# - Removed all iconsets and translations. These has been moved to separate
#   packages.
#
# Revision 1.13  2003/03/15 17:37:50  swiergot
# - Build 5.
#
# Revision 1.12  2003/03/15 17:16:27  swiergot
# - Changed prefix to /usr leaving KDE stuff still in under /opt/kde.
# - Bring the jilly iconset back.
# - Removed psi_pl.qm from repo.
# - add_source for all translations available at psi.affinix.com.
# - Copy all translations to /usr/share/psi/translations.
# - Added the translations patch to make Psi look for translations in there.
# - Move translations into a subpackage.
# - Move iconsets into a subpackage.
#
# Revision 1.11  2003/02/18 16:53:11  swiergot
# - Build 4.
#
# Revision 1.10  2003/02/18 15:19:23  swiergot
# - Added install_menu patch to fix install_menu.sh script that copies files
#   but doesn't create directories.
#
# Revision 1.9  2003/02/16 12:54:08  swiergot
# - Build 3.
#
# Revision 1.8  2003/02/16 12:40:48  swiergot
# - Run install_menu.sh to install .desktop and icons.
#
# Revision 1.7  2003/02/02 14:12:33  swiergot
# - Build 2.
#
# Revision 1.6  2003/02/02 13:21:07  swiergot
# - Force building.
#
# Revision 1.5  2003/01/28 16:44:39  swiergot
# - Removed jilly iconset as an archive with it is broken.
#
# Revision 1.4  2003/01/28 15:59:25  swiergot
# - Added the following iconsets: beos, cosmic, crystal, gabber, icq2, jilly,
#   licq, mike, smiley.
#
# Revision 1.3  2003/01/27 17:22:51  swiergot
# - Changed prefix from /usr to /opt/kde.
# - Updated polish translation.
#
# Revision 1.2  2002/12/25 22:37:39  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 22:13:28  swiergot
# - Initial release.
# - Version 0.8.7.
#
